{{- if .Values.ingress.enabled -}}
{{- $fullName := include "tech-lead-lesson-4.fullname" . -}}
{{- $svcPort := .Values.service.port -}}

apiVersion: networking.k8s.io/v1

kind: Ingress
metadata:
  name: {{ $fullName }}
  labels:
    {{- include "tech-lead-lesson-4.labels" . | nindent 4 }}
  {{- with .Values.ingress.annotations }}
  annotations:
    {{- toYaml . | nindent 4 }}
  {{- end }}
spec:
  ingressClassName: {{ .Values.ingress.className }}
  rules:
  - host: {{ .host | quote }}
    http:
      paths:
      - path: /tech-lead-lesson-4
        pathType: Prefix
        backend:
          service:
            name: {{ $fullName }}
            port:
              number: {{ $svcPort }}
{{- end }}
